import 'package:auth/src/core/data/datasource/auth_remote_datasource.dart';
import 'package:auth/src/core/data/datasource/auth_remote_datasource_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:sf_infrastructure/sf_infrastructure.dart';

final authRemoteDatasourceProvider = Provider<AuthRemoteDatasource>((ref) {
  final questiaRepository = getIt<QuestiaRepository>();
  return AuthRemoteDatasourceImpl(questiaRepository);
});
